diff --git a/nvdaHelper/remote/winword.cpp b/nvdaHelper/remote/winword.cpp
index d9fa7ac..cc65878 100644
--- a/nvdaHelper/remote/winword.cpp
+++ b/nvdaHelper/remote/winword.cpp
@@ -52,6 +52,7 @@ using namespace std;
 #define wdDISPID_SPELLINGERRORS_COUNT 1
 #define wdDISPID_RANGE_FONT 5
 #define wdDISPID_FONT_COLOR 159
+#define wdDISPID_FONT_BACKGROUNDCOLOR 160
 #define wdDISPID_FONT_BOLD 130
 #define wdDISPID_FONT_ITALIC 131
 #define wdDISPID_FONT_UNDERLINE 140
@@ -376,8 +377,13 @@ void generateXMLAttribsForFormatting(IDispatch* pDispatchRange, int startOffset,
 			if((formatConfig&formatConfig_reportFontSize)&&(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_SIZE,VT_I4,&iVal)==S_OK)) {
 				formatAttribsStream<<L"font-size=\""<<iVal<<L"pt\" ";
 			}
-			if((formatConfig&formatConfig_reportColor)&&(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_COLOR,VT_I4,&iVal)==S_OK)) {
-				formatAttribsStream<<L"color=\""<<iVal<<L"\" ";
+			if(formatConfig&formatConfig_reportColor) {
+				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_COLOR,VT_I4,&iVal)==S_OK) {
+					formatAttribsStream<<L"color=\""<<iVal<<L"\" ";
+				}
+				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_BACKGROUNDCOLOR,VT_I4,&iVal)==S_OK) {
+					formatAttribsStream<<L"background-color=\""<<iVal<<L"\" ";
+				}
 			}
 			if(formatConfig&formatConfig_reportFontAttributes) {
 				if(_com_dispatch_raw_propget(pDispatchFont,wdDISPID_FONT_BOLD,VT_I4,&iVal)==S_OK&&iVal) {
diff --git a/source/NVDAObjects/window/winword.py b/source/NVDAObjects/window/winword.py
index 17880dd..3aa8a69 100755
--- a/source/NVDAObjects/window/winword.py
+++ b/source/NVDAObjects/window/winword.py
@@ -240,6 +240,9 @@ class WordDocumentTextInfo(textInfos.TextInfo):
 		color=field.pop('color',None)
 		if color is not None:
 			field['color']=colors.RGB.fromCOLORREF(int(color))		
+				backgroundColor=field.pop('background-color',None)
+		if backgroundColor is not None:
+			field['background-color']=colors.RGB.fromCOLORREF(int(self.obj.WinwordSelectionObject.Paragraphs.Shading.BackgroundPatternColor))
 		try:
 			languageId = int(field.pop('wdLanguageId',0))
 			if languageId:
